﻿@model  Tuple<ItemMasterView, List<StockModelView>>

@{
    Layout = "~/Areas/MasterData/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>

<div class="row">
    <div class="col-md-12 col-sm12 col-xs-12">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">@ItemMaster.IMD</h3>
            </div>
            <div class="panel-body">

                <div class="row">
                    <label class="col-md-1 control-label" id="CC">@ItemMaster.TIC</label>
                    <div class="col-md-5">
                        @Html.TextBoxFor(c => c.Item1.ItemCode, new { @placeholder = @ItemMaster.IC, @class = "form-control" })
                    </div>
                    <div class="col-md-6 text-right">
                        <label class="col-md-11 control-label">@ItemMaster.INVIT</label>
                        <div class="col-md-1">
                            <label class="checkbox-inline">
                                @Html.CheckBox("InvntItem", (Model.Item1.InvntItem == "Y" ? true : false))
                            </label>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="form-group">
                        <label class="col-md-1 control-label" id="CC">@ItemMaster.TID</label>
                        <div class="col-md-5">
                            @Html.TextBoxFor(c => c.Item1.ItemName, new { @placeholder = @ItemMaster.ID, @class = "form-control" })
                        </div>
                        <div class="col-md-6 text-right">
                            <label class="col-md-11 control-label">@ItemMaster.SALIT</label>
                            <div class="col-md-1">
                                <label class="checkbox-inline">
                                    @Html.CheckBox("SellItem", (Model.Item1.SellItem == "Y" ? true : false))
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="form-group">
                        <label class="col-md-1 control-label" id="CC">@ItemMaster.TIPV</label>
                        <div class="col-md-5">
                            @Html.TextBoxFor(c => c.Item1.CardCode, new { @placeholder = @ItemMaster.IPV, @class = "form-control" })
                        </div>
                        <div class="col-md-6 text-right">
                            <label class="col-md-11 control-label">@ItemMaster.PURIT</label>
                            <div class="col-md-1">
                                <label class="checkbox-inline">
                                    @Html.CheckBox("PrchseItem", (Model.Item1.PrchseItem == "Y" ? true : false))
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="form-group">
                        <label class="col-md-1 control-label" id="CC">@ItemMaster.ITY</label>
                        <div class="col-md-2">
                            @Html.DropDownListFor(model => model.Item1.ItemType, new SelectList(Model.Item1.drItemType, "Value", "Text"), new { @Id = "drItemType", @class = "form-control" })
                        </div>
                        <div class="col-md-3 text-right">
                            <label class="col-md-2 control-label" id="LClosed">@ItemMaster.Active</label>
                            @Html.CheckBox("validFor", (Model.Item1.validFor == "Y" ? true : false))
                            @if (Model.Item1.validFrom != null)
                            {
                                <div class="input-group date">
                                    @Html.TextBox(Model.Item1.validFrom.Value.ToShortDateString(), null,
                                        new { @Id = "txtvalidFrom", @class = "form-control",
                                            @Value = Model.Item1.validFrom.Value.ToShortDateString() })
                                    <span class="input-group-addon"><i class="glyphicon glyphicon-th"></i></span>

                                    @Html.TextBox(Model.Item1.validTo.Value.ToShortDateString(), null,
                                        new { @Id = "txtvalidTo", @class = "form-control",
                                            @Value = Model.Item1.validTo.Value.ToShortDateString() })
                                    <span class="input-group-addon"><i class="glyphicon glyphicon-th"></i></span>
                                </div>
                            }
                        </div>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="form-group">
                        <label class="col-md-1 control-label" id="CC">@ItemMaster.IIG</label>
                        <div class="col-md-2">
                            @Html.DropDownListFor(model => model.Item1.ItmsGrpCod, new SelectList(
                                    Model.Item1.ListItemGroup,
                                    "ItmsGrpCod",
                                    "ItmsGrpNam", Model.Item1.ItmsGrpCod), new { @Id = "ItmsGrpNam", @Name = "ItmsGrpNam", @class = "form-control" })
                        </div>
                        <div class="col-md-3 text-right">
                            <label class="col-md-2 control-label" id="LClosed">@ItemMaster.Inactive</label>
                            @Html.CheckBox("frozenFor", (Model.Item1.frozenFor == "Y" ? true : false))
                            @if (Model.Item1.frozenFrom != null)
                            {
                                <div class="input-group date">
                                    @Html.TextBox(Model.Item1.frozenFrom.Value.ToShortDateString(), null,
                                            new { @Id = "txtvalidTo", @class = "form-control", @Value = Model.Item1.frozenFrom.Value.ToShortDateString() })
                                    <span class="input-group-addon"><i class="glyphicon glyphicon-th"></i></span>

                                    @Html.TextBox(Model.Item1.frozenTo.Value.ToShortDateString(), null,
                                            new { @Id = "txtvalidTo", @class = "form-control", @Value = Model.Item1.frozenTo.Value.ToShortDateString() })
                                    <span class="input-group-addon"><i class="glyphicon glyphicon-th"></i></span>
                                </div>
                            }
                        </div>
                    </div>
                </div>
                <br>
                <div class="row ItemMasterPrice">
                    <div class="form-group">
                        <label class="col-md-1 control-label" id="CC">@ItemMaster.IPR</label>
                        <div class="col-md-2">
                            @Html.DropDownListFor(model => model.Item1.ListPriceListSAP, new SelectList(
                                            Model.Item1.ListPriceListSAP,
                                                      "ListNum",
                                                                                          "ListName", Model.Item1.PriceSelect), new { @Id = "PriceSelect", @Name = "PriceSelect", @class = "form-control" })
                        </div>
                        <div class="col-md-1">
                            @Html.TextBoxFor(c => c.Item1.PriceItemByListPrice, "{0:0.00}", new { @placeholder = @ItemMaster.IPR, @class = "form-control" })
                        </div>
                    </div>
                </div>
                <br />
                <div class="row">
                    <div class="form-group">
                        <label class="col-md-1 control-label" id="divBarCode">@ItemMaster.BarCode</label>
                        <div class="col-md-2">
                            @Html.TextBox("txtCodeBar",Model.Item1.CodeBars,
                                            new { @Id = "txtCodeBar", @class = "form-control" })
                        </div>
                    </div>

                </div>

                <div class="clear"></div>
            </div>
        </div>
    </div>


</div>

@if (Model.Item1.MappedUdf.Count > 0)
{
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="panel panel-default" id="accordionUDF">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionUDF" href="#collapseUDF">
                            UDF
                            <i class="indicator glyphicon  pull-right glyphicon-chevron-up"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapseUDF" class="panel-collapse collapse" style="height: auto;">
                    <div class="panel-body">
                        @{
                            foreach (var DictRow in Model.Item1.MappedUdf)
                            {
                                if (DictRow.ListUFD1.Count > 0)
                                {
                                    <div class="row">
                                        <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                        <div class="col-md-10">
                                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                                                     DictRow.ListUFD1,
                                                                        "FldValue",
                                                                        "Descr", DictRow.Value), new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @class = "form-control" })
                                        </div>
                                    </div>
                                }
                                else
                                {
                                    <div class="row">
                                        <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                        <div class="col-md-10">
                                            @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                        </div>
                                    </div>
                                }

                            }
                        }
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<div class="row">
    <div class="col-md-12 col-sm-8 col-xs-12">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">Information</h3>
            </div>
            <div class="panel-body">
                <div class="form-group">
                    <ul class="nav nav-pills">
                        <li class="active"><a data-toggle="tab" href="#contStock">@ItemMaster.ISW</a></li>
                        <li><a data-toggle="tab" href="#contRemarks">@ItemMaster.IRE</a></li>
                        <li><a data-toggle="tab" href="#contAttachements">@ItemMaster.IFA</a></li>
                        <li><a data-toggle="tab" href="#contSerial">@ItemMaster.Serials</a></li>
                    </ul>

                    <div class="tab-content">
                        <div id="contStock" class="tab-pane fade in active">
                            @Html.Partial("_ContStock", Model)
                        </div>

                        <div id="contRemarks" class="tab-pane fade">
                            @Html.Partial("_ContRemarks", Model.Item1)
                        </div>


                        <div id="contAttachements" class="tab-pane fade">
                            @Html.Partial("_ContAttachements", Model)
                        </div>
                        <div id="contSerial" class="tab-pane fade">
                            @Html.Partial("_ContSerials", Model.Item1.SerialsSAP)
                        </div>
                    </div>

                </div>
            </div>

        </div>
    </div>
</div>

<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">Serials</h4>
            </div>
            <div class="modal-body">
                <div id="ContentItemMasterSerials"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>

<div class="but_blok_footer">
    <div class="col-md-12 col-sm-12" style="text-align:right">
        @Html.ActionLink(@ItemMaster.Cancel, "Index", "MasterData", null, new { @class = "btn btn-lg btn-default" })
    </div>
</div>

<style type="text/css">
    .carousel-inner > .item > img, .carousel-inner > .item > .active > img {
        height: 240px;
        width: auto;
        margin: auto;
        display: block;
    }

    .item .thumb {
        width: 25%;
        cursor: pointer;
        float: left;
    }

        .item .thumb img {
            width: auto;
            max-height: 80px;
            display: block;
        }
</style>

@Scripts.Render("~/bundles/ItemMaster")

